from django.core.management.base import BaseCommand
from pgp.models import PublicKey


class Command(BaseCommand):
    def handle(self, *args, **options):
        print("Setting WKD ids")
        for key in PublicKey.objects.filter(wkdid__isnull=True):
            print(f"  Update {key.email}")
            key.set_wkdid()
            key.save()
        print("Done")
